Gecode::MemoryExhausted Class Reference

Exception: Memory exhausted More...

`#include <exception.hpp>`

## Public Member Functions

| MemoryExhausted (void)
| Initialize.
Public Member Functions inherited from Gecode::Exception
| Exception (const char *l, const char *i) throw ()
| Initialize with location l and information i.
virtual const char * | what (void) const throw ()
| Return information.

## Detailed Description

Exception: Memory exhausted

Definition at line 63 of file exception.hpp.

## Constructor & Destructor Documentation

## MemoryExhausted()

Gecode::MemoryExhausted::MemoryExhausted | ( | void |  | ) |

Initialize.

Definition at line 63 of file exception.cpp.

The documentation for this class was generated from the following files:

- gecode/support/exception.hpp
- gecode/support/exception.cpp